package com.hzya.frame.mdm.mdmModuleDb.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleDbFileds.entity.MdmModuleDbFiledsEntity;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 模版数据库表(MdmModuleDb)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:26:49
 */
public class MdmModuleDbEntity extends BaseEntity {

    /**
     * 主数据模版ID
     */
    private String mdmId;
    /**
     * 表名
     */
    private String dbName;
    /**
     * 类型 1、主表 2、明细
     */
    private String dbType;
    /**
     * 备注
     */
    private String remark;

    //主数据子表字段
    private List<MdmModuleDbFiledsEntity> sublistMdmModuleDbFileds;

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<MdmModuleDbFiledsEntity> getSublistMdmModuleDbFileds() {
        return sublistMdmModuleDbFileds;
    }

    public void setSublistMdmModuleDbFileds(List<MdmModuleDbFiledsEntity> sublistMdmModuleDbFileds) {
        this.sublistMdmModuleDbFileds = sublistMdmModuleDbFileds;
    }
}

